[![Build Status](https://travis-ci.org/Unidata/drilsdown.svg?branch=master)](https://travis-ci.org/Unidata/drilsdown)
## Consolidated repository of the DRILSDOWN project 
### an NSF Earthcube supported effort

DRILSDOWN (Drawing Rich Integrated Lat-lon-time Subsets from Dataservers Online into Working Notebooks) is a project to facilitate access ro detailed visualizations (in the Integrated Data Viewer, [IDV](http://unidata.ucar.edu/idv)) of Cases of Interest (user-defined) within a Python-based geo-space x time statistical data analyses -- if the data for such visulaizations are available online in nice aggregated repositories. 

--------------
#### The basic capabilities

1. Jupyter notebook interactions with an IDV session on the local machine: **ipython_IDV extension**. 

2. IDV enhancements (analysis codes, color scales, templates visible in favorites folders): the **Mapes IDV Collection**. 

3. Jupyter-based mechanisms (an IDV kernel) for writing new IDV Jython analysis codes: **JyIDV or iJython**. 

4. Ways to "teleport" a template visualization to Places & Times of Interest: [**idv_teleport**](https://suvarchal.github.io/IDV_teleport/), a Python command line tool.

5. Ways to publish template IDV bundles, template notebooks, and final results to a RAMADDA repository, where they are viewable via browser as well as accessible digitally: **ramadda_publish, RAMADDA plugin**.

------------
#### How to get the goodness

       pip install drilsdown 
       
See the examples, and documentation for the parts. These capabilities are in different languages and forms, and can be useful individually, but are especially powerful together.
